﻿<!-- templates/chat_records.html -->
{% extends 'base.html' %}

{% block title %} 聊天记录 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="contact-box text-center">
	<a style="font-size:13px"
		href="{{ url_for('chat.chat',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id) }}"
		class="btn btn-primary mr-1 mb-3">返回聊天</a>
	{% if message_list %}
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id, location=location+10) }}"
		class="btn btn-primary mr-1 mb-3">上一页</a>
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id, location=location-10) }}"
		class="btn btn-primary mr-1 mb-3">下一页</a>
	{% endif %}
	<a style="font-size:13px;color:rgb(255,255, 255)" onclick="window.scrollTo(0,document.body.scrollHeight-1100);"
		class="btn btn-primary mr-1 mb-3">底部</a>
</div>

<div class="page-wrap">
	<div class="page-content">
		<main class="main-content">


			<section class="section-featured-products">
				<div class="container">
					<div class="section-title text-center">

						{% if message_list %}
						<h2 class="h3 section-title__heading">聊天记录如下</h2>
						{% else %}
						<h2 class="h3 section-title__heading">您暂时没有消息记录</h2>
						{% endif %}
					</div>

					{% if message_list %}
					<ul> {#从这里开始显示所有最近不超过10条的消息记录#}
						{% for message in message_list %}
						<a style="font-size:25px;color:rgb(65, 167, 61)">{{message.sender_name}}</a>
						{% if message.sender_id == user_id %}
						<a style="font-size:15px;color:rgb(200, 60, 60)">(我)</a>
						{% endif %}
						<a style="font-size:15px;color:rgb(10,100, 250)">&nbsp&nbsp&nbsp&nbsp&nbsp
							{{message.timestamp.strftime("%Y/%m/%d")}}&nbsp
							{{message.timestamp.strftime("%H:%M:%S")}}</a>
						<br />
						<p style="font-size:20px">&nbsp&nbsp&nbsp&nbsp{{message.content}}</p>
						{% endfor %}
					</ul>
					{% endif %}
				</div>
			</section>
		</main> <!-- end of main -->
	</div>
</div>

<div class="contact-box text-center">
	<a style="font-size:13px"
		href="{{ url_for('chat.chat',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id) }}"
		class="btn btn-primary mr-1 mb-3">返回聊天</a>
	{% if message_list %}
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id, location=location+10) }}"
		class="btn btn-primary mr-1 mb-3">上一页</a>
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id, location=location-10) }}"
		class="btn btn-primary mr-1 mb-3">下一页</a>
	{% endif %}
	<a style="font-size:13px;color:rgb(255,255, 255)" onclick="window.scrollTo(0,0);"
		class="btn btn-primary mr-1 mb-3">顶部</a>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}